Bug 7941 - Fix version numbers in modules and set up a system to keep them up to date
Summary: Fix version numbers in modules and set up a system to keep them up to date
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Chris Cormack
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks: 8315
  Show dependency treegraph
 
Reported: 2012-04-10 23:03 UTC by Chris Cormack
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7941 : Fix version numbers in modules (52.83 KB, patch)
2012-04-10 23:08 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7941 : Fix version numbers in modules (46.35 KB, patch)
2012-04-10 23:27 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7941 : Fix version numbers in modules (46.51 KB, patch)
2012-06-10 13:37 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2012-04-10 23:03:34 UTC

    
Comment 1 Chris Cormack 2012-04-10 23:08:54 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-04-10 23:11:48 UTC
Once this patch is pushed, all that needs to be done to keep them up to date, is before a release run

perl-reversion -stringify -set 3.06.05.001 C4/

Where the number changes appropriately


You may need to do
 sudo apt-get install libperl-version-perl
Comment 3 Chris Cormack 2012-04-10 23:27:48 UTC Comment hidden (obsolete)
Comment 4 Jared Camins-Esakov 2012-05-13 15:02:38 UTC
Oddly perl-reversion does not appear to be included in the libperl-version-perl package for Debian. Any idea where it might be hiding, or how to get it?
Comment 5 Chris Cormack 2012-05-13 19:41:03 UTC
I think I just used cpan, in theory should only be rm and rmaint doing it just pre release
Comment 6 Kyle M Hall 2012-06-10 13:37:41 UTC
Created attachment 10106 [details] [review]
Bug 7941 : Fix version numbers in modules

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Paul Poulain 2012-06-11 15:29:27 UTC
QA comment: nothing specific to say: set the VERSION number for all packages, passed QA
Comment 8 Paul Poulain 2012-06-11 15:30:26 UTC
can be backported to 3.8 or not, chris, it's up to you to decide
Comment 9 Chris Cormack 2012-06-14 07:18:30 UTC
Pushed to 3.8.x